<?php
/**
 * guj Theme Customizer
 *
 * @package guj
 */

//customizer core option
require get_template_directory() . '/inc/customizer/customizer-core.php';

//customizer default options
require get_template_directory() . '/inc/customizer/default.php';

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function guj_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->remove_section( 'colors' );
	/**
	 * Load customizer sanitize.
	 */

	require get_template_directory() . '/inc/customizer/sanitize.php';
        
        /**
	 * Custom theme options panel
	 */
        
	require get_template_directory() . '/inc/customizer/theme-options.php';
        
	
}
add_action( 'customize_register', 'guj_customize_register' );

/**
 * Loads custom modifications
 */

require get_template_directory() . '/inc/customizer/mods/content-mods.php';
require get_template_directory() . '/inc/customizer/mods/footer-mods.php';

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function guj_customize_preview_js() {
	wp_enqueue_script( 'guj_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'guj_customize_preview_js' );
